RelayAPI

List the step log for a run (oldest first)

GET
/v1/automation-runs/{id}/steps
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Query Parameters

cursor?string
limit?integer
Range1 <= value <= 200
Default50

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/automation-runs/string/steps"
{  "data": [    {      "id": "string",      "run_id": "string",      "automation_id": "string",      "node_key": "string",      "node_kind": "string",      "entered_via_port_key": "string",      "exited_via_port_key": "string",      "outcome": "string",      "duration_ms": 0,      "payload": null,      "error": null,      "executed_at": "string"    }  ],  "next_cursor": "string",  "has_more": true}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo